<?php
/*
Plugin Name: Force Protocol Less Links
Plugin URI: http://www.seocom.es
Description: Replaces http/https links with its protocol-less version (//).
Author: David Garcia
Version: 1.1.1
*/


class force_protocol_less_links 
{
    function __construct()
    {
        add_action('init', array(&$this,'process'));
    }
    function process()
    {
        ob_start(array(&$this,'change_protocols'));
    }
    
    function change_protocols($buffer)
    {
        $buffer = str_replace( array('http://', 'https://') , '//' , $buffer );
        return $buffer;
    }
}

$force_protocol_less_links = new force_protocol_less_links();   
    